hfs_test.in 388 B

123456789101112131415161718192021222324
  1. #!@BUILD_SHEBANG@
  2. set -e
  3. if [ "x$EUID" = "x" ] ; then
  4. EUID=`id -u`
  5. fi
  6. if [ "$EUID" != 0 ] ; then
  7. exit 99
  8. fi
  9. if ! which mkfs.hfs >/dev/null 2>&1; then
  10. echo "mkfs.hfs not installed; cannot test HFS."
  11. exit 99
  12. fi
  13. if ! grep -q mac_roman /proc/modules && ! modprobe mac_roman; then
  14. echo "no mac-roman support; cannot test HFS."
  15. exit 99
  16. fi
  17. "@builddir@/grub-fs-tester" hfs